from django.conf.urls import patterns, include, url
from django.contrib.auth.views import password_change, password_change_done, login, logout

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    # Examples:
    # url(r'^$', 'scrobblerserver.views.home', name='home'),
    # url(r'^scrobblerserver/', include('scrobblerserver.foo.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    url(r'^admin/', include(admin.site.urls)),

    # root
    url(r'^$', 'scrobblerserver.root.view'),

    # API
    url(r'^api/', include('api.urls')),

    # User
    url(r'^accounts/$', 'api.views.accounts'),
    url(r'^accounts/profile/$', 'api.views.accounts'),
    url(r'^accounts/password_change/', password_change),
    url(r'^accounts/password_change_done/', password_change_done),
    url(r'^accounts/login/', login),
    url(r'^accounts/logout/', logout),
)
